INTERFACE
SUBROUTINE ELARMESAD(KSTGLO,KST,KPROF,KSTABUF,LDSETTLS,&
 & PINDX,PINDY,PGMDTX,PGMDTY,PB1,PB15,PB2,&
 & PINC,KINC,KDIM1,KDIM2,&
 & PLSDEPI,PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PLON,PLAT,PCOSCO,PSINCO,PSINLA,PCOPHI,PLEV,KL0,KLOCK,&
 & PLON5,PLAT5,PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,PLEV5,&
 & PDLO5,PDLAT5,PDVER5,POUT5) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUNG ,NDGUXG ,NRLEVX 
USE YOMDYN , ONLY : NITMP ,LELTRA ,VETAON ,VETAOX
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB15,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDSETTLS
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMDTX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMDTY(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KINC(KDIM1,KDIM2,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PINC(KDIM1,KDIM2,NITMP)
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM1
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM2
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3,NITMP)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLOCK(8)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO5(NPROMA,NFLEVG,0:3,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(IN) :: POUT5(NPROMA,NFLEVG,NITMP)
END SUBROUTINE ELARMESAD
END INTERFACE
